Subject: [TR] Electric Fuel Pump Recommendations

From: "Jim Henningsen" <[email-masked]>
Date: Fri, 12 Jul 2019 16:00:52 -0400

Am thinking my stock fuel pump issue maybe cam lobe wear and/or fuel pump
lever issue.  Decided to add an electric low pressure fuel pump instead of
using stock one to fix my fuel issue.  Lots of cheap Chinese pumps on
amazon.  Any recommendations on fuel pump used and location of install?
Thanks in advance,
Jim Henningsen
Ocala, FL
Still sleepless in ocala

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive